(function ($, Drupal) {

  /**
   * EPT Core behavior.
   */
  Drupal.behaviors.eptCore = {
    attach: function (context, settings) {
      $.each(drupalSettings['eptCore'], function(paragraph_class, value) {
        if (value['eptCoreParallax'] != undefined) {
          console.log(paragraph_class);
          console.log(Drupal.checkPlain(value['eptCoreParallax']['mediaUrl']));
          $('.' + paragraph_class).parallax({
            imageSrc: Drupal.checkPlain(value['eptCoreParallax']['mediaUrl'])
          });
        }

        if (value['eptCoreBackgroundRemoteVideo'] != undefined) {
          if (value['eptCoreBackgroundRemoteVideo']['mediaProvider'] == 'YouTube') {
            const $elements =  $(once('youtube-video', '.' + paragraph_class + ' .bg-inner', context));
            $elements.YTPlayer({
              videoURL: Drupal.checkPlain(value['eptCoreBackgroundRemoteVideo']['mediaUrl']),
              containment: '.' + paragraph_class,
              autoPlay: 1,
              showControls: 0,
              mute: 1,
              startAt: 0,
              opacity: 1,
              addRaster: 1,
              quality: 'default',
              loop: 1
            });
          }
        }
      });
    }
  };

})(jQuery, Drupal);
